// All material copyright GIS, All Rights Reserved, unless otherwise specified.
// See https://js.gis.com/4.3/gis/copyright.txt for details.
//>>built
//streets、light、dark、satellite、streets-satellite、wheatpaste、streets-basic、comic、outdoors、run-bike-hike、pencil、pirates、emerald、high-contrast
define(['gis/config', 'gis/layers/WebTileLayer'], function (a, b) {
  a.request.corsEnabledServers.push('a.tile.mapbox.org', 'b.tile.mapbox.org', 'c.tile.mapbox.org');
  return b.createSubclass({
    declaredClass: 'gis.layers.MapBoxLayer',
    properties: {
      copyright: 'Map data \x26copy; mapbox contributors, CC-BY-SA',
      subDomains: { value: ['a', 'b', 'c'] },
      urlTemplate:
        'https://{subDomain}.tiles.mapbox.com/v4/mapbox.streets-basic/{level}/{col}/{row}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4M29iazA2Z2gycXA4N2pmbDZmangifQ.-g_vE53SD2WrJ6tFX7QHmA',
      operationalLayerType: 'mapbox',
      type: { value: 'mapbox', json: { read: !1 } },
    },
  });
});
